Subject: bug#11347: the remake rules in the automake test suite are too greedy

From: Stefano Lattarini <[email-masked]>
Date: Thu, 26 Apr 2012 12:10:06 +0200

Severity: minor

Reference: <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11306#11>

On 04/22/2012 08:10 PM, Bruno Haible wrote:
>
> [SNIP]
>
> Modifying a test apparently requires me to have the same exact Autoconf
> version (2.68) as you did. What an annoyance! I have to proceed like this:
>
> 1. On a machine with autoconf 2.68:
>    - Unpack a fresh automake-1.11d directory.
>    $ ./configure; make           # This is necessary to build 'automake'.
>    - Then only! change t/lex-libobj.sh
>    $ make                        # This uses the built 'automake'.
>    $ make distclean
> 2. Copy this directory to the target machine (without autoconf 2.68).
> 3. $ ./configure; make
>    $ make check TESTS=t/lex-libobj
>
I agree this situation is suboptimal and can hinder on-field testing by
the users that are not automake developers.  I will fix this soonish.

Thanks,
  Stefano